Bug 220780 - Manpages incorrectly imply 'limit' inversion (!)
Manpages incorrectly imply 'limit' inversion (!)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-26 12:59 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 12:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-12-26 12:59:19 EST
Description of problem:
Manpages suggests that -m limit accepts inversion (!) but not true

Specifically:
Manpages say:
  limit
       This module matches at a limited rate using a token bucket  filter.   A
       rule  using  this  extension  will  match  until  this limit is reached
       (unless the '!' flag is used).

While iptables gives the following error message:
       Applying iptables firewall rules: iptables-restore v1.3.5: limit does not
support invert
Comment 1 Need Real Name 2007-03-27 20:31:53 EDT
Any reason not to fix this?????
Comment 2 Thomas Woerner 2007-09-24 12:10:50 EDT
Fixed in rawhide in package iptables-1.3.8-4 or newer.

Note You need to log in before you can comment on or make changes to this bug.